<?php
include("../db.php");
$requestData= $_REQUEST;
$columns = array( 
    0 => 'name_pro',
    1 => 'name_cat',
    2 => 'stock_pro'
);

$sql = "
SELECT * FROM `pro` left join `cat` on `cat`.`id_cat` = `pro`.`id_cat`
where 1
";
$query=mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;
$sql = "
SELECT * FROM `pro` left join `cat` on `cat`.`id_cat` = `pro`.`id_cat`
where 1
";
if( !empty($requestData['search']['value']) ) {  
	$sql.=" AND ( name_pro LIKE '".$requestData['search']['value']."%'";             
	$sql.=" AND   `name_cat` LIKE '".$requestData['search']['value']."%' ";       
	$sql.=" AND   `stock_pro` LIKE '".$requestData['search']['value']."%' ) ";       
}


$query=mysqli_query($db, $sql);
$totalFiltered = mysqli_num_rows($query); 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
$query=mysqli_query($db, $sql);
$data = array();
while( $row=mysqli_fetch_array($query)) {
    $nestedData=array(); 
	$nestedData[] = $row["name_pro"];
	$nestedData[] = $row["name_cat"];
	$nestedData[] = $row["stock_pro"];
	$nestedData[] = "<button class='btn btn-danger' onclick='update_pro_sys(".$row['id_pro'].",".$row['stock_pro'].")'>تعديل</button>";
	$data[] = $nestedData;
}
$json_data = array(
			"draw"            => intval( $requestData['draw']),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);

echo json_encode($json_data);

?>



